openSUSE 10 Security Update : asterisk (asterisk-5062)

Medium Nessus Plugin ID 31390


The remote openSUSE host is missing a security update.


Attackers could bypass host based authentication by using a valid username (CVE-2007-6430)

Attackers could inject SQL commands under certain circumstances if 'cdr_pgsql' was used (CVE-2007-6170)


Update the affected asterisk packages.

Plugin Details

Severity: Medium

ID: 31390

File Name: suse_asterisk-5062.nasl

Version: $Revision: 1.7 $

Type: local

Agent: unix

Published: 2008/03/07

Modified: 2016/12/22

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.5

Vector: CVSS2#AV:N/AC:L/Au:S/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:asterisk, p-cpe:/a:novell:opensuse:asterisk-alsa, p-cpe:/a:novell:opensuse:asterisk-odbc, p-cpe:/a:novell:opensuse:asterisk-pgsql, p-cpe:/a:novell:opensuse:asterisk-spandsp, p-cpe:/a:novell:opensuse:asterisk-zaptel, cpe:/o:novell:opensuse:10.1, cpe:/o:novell:opensuse:10.2

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2008/03/04

Reference Information

CVE: CVE-2007-6170, CVE-2007-6430

CWE: 89, 287